### Method

# Gsk RenderNode write_to_file

#### Declaration [src]

    gboolean
    gsk_render_node_write_to_file (
      GskRenderNode* node,
      const char* filename,
      GError** error
    )

#### Description [src]

This function is equivalent to calling gsk_render_node_serialize() followed by g_file_set_contents().

See those two functions for details on the arguments.

It is mostly intended for use inside a debugger to quickly dump a render node to a file for later inspection.

#### Parameters

`filename` | `const char*`
| The file to save it to.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if saving was successful.